Package org.eclipse.m2m.atl.emftvm.ant

## Class ModelElementSet

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.AbstractFileSet
      - - org.apache.tools.ant.types.FileSet
        - - org.eclipse.m2m.atl.emftvm.ant.ModelElementSet

All Implemented Interfaces:
  `java.lang.Cloneable`, `java.lang.Iterable<org.apache.tools.ant.types.Resource>`, `org.apache.tools.ant.types.ResourceCollection`, `org.apache.tools.ant.types.selectors.SelectorContainer`

Direct Known Subclasses:
  `InModelSet`, `InOutModelSet`

    public abstract class ModelElementSet
    extends org.apache.tools.ant.types.FileSet

Nested Ant model element set.

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`ModelElementSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAs()` Returns the model element alias.
`java.lang.String` `getName()` Returns the model element name.
`boolean` `isAllowInterModelReferences()` Returns the allowInterModelReferences (default = `true`).
`void` `setAllowInterModelReferences​(boolean allowInterModelReferences)` Sets the allowInterModelReferences with the allowInterModelReferences value.
`void` `setAs​(java.lang.String as)` Sets the model element alias.
`void` `setName​(java.lang.String name)` Sets the model element name.

### Methods inherited from class org.apache.tools.ant.types.FileSet

`clone, getRef, isFilesystemOnly, iterator, size`

### Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPosixGroup, addPosixPermissions, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, dieOnCircularReference, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getDirectoryScanner, getErrorOnMissingDir, getMaxLevelsOfSymlinks, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setErrorOnMissingDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setMaxLevelsOfSymlinks, setRefid, setupDirectoryScanner, setupDirectoryScanner, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

`isEmpty, stream`

### Constructor Detail

#### ModelElementSet

    public ModelElementSet()

### Method Detail

#### setName

    public void setName​(java.lang.String name)

Sets the model element name.

Parameters:
  `name` - the name to set

#### getName

    public java.lang.String getName()

Returns the model element name.

Returns:
  the name

#### getAs

    public java.lang.String getAs()

Returns the model element alias.

Returns:
  the as

#### setAs

    public void setAs​(java.lang.String as)

Sets the model element alias.

Parameters:
  `as` - the as to set

#### isAllowInterModelReferences

    public boolean isAllowInterModelReferences()

Returns the allowInterModelReferences (default = `true`).

Returns:
  the allowInterModelReferences

#### setAllowInterModelReferences

    public void setAllowInterModelReferences​(boolean allowInterModelReferences)

Sets the allowInterModelReferences with the allowInterModelReferences value.

Parameters:
  `allowInterModelReferences` - the allowInterModelReferences to set